script: tools/project_generator/preset.bat
path:
  HPM_SDK_BASE: hpm_sdk
  GNURISCV_TOOLCHAIN_PATH: toolchains/rv32imac_zicsr_zifencei_multilib_b_ext-win
  CMAKE: tools/cmake
  NINJA: tools/ninja
  OPENOCD: tools/openocd
  PYTHON3: tools/python3
  SCRIPTS: tools/scripts
env:
  HPM_SDK_BASE: ~
  GNURISCV_TOOLCHAIN_PATH: ~
  HPM_SDK_TOOLCHAIN_VARIANT:
    - gcc
    - nds-gcc
    - nds-llvm
build-type:
  release: ~
  debug: ~
  flash_xip: ~
  flash_xip_release: ~
  flash_sdram_xip:
    on-board-ram: [sdram]
  flash_sdram_xip_release:
    on-board-ram: [sdram]
  flash_uf2:
    feature: ~
  flash_uf2_release:
    feature: ~
  flash_sdram_uf2:
    on-board-ram: [sdram]
    feature: ~
  flash_sdram_uf2_release:
    on-board-ram: [sdram]
    feature: ~
  sec_core_img:
    feature: [multicore]
  sec_core_img_release:
    feature: [multicore]
default-type: [flash_sdram_xip, flash_xip]
default-sample: hello_world
default-board: hpm6750evkmini
env-value:
  HPM_SDK_TOOLCHAIN_VARIANT: gcc
custom-board-path: D:/1.Project/git/sdk_env
custom-sample-path: D:/1.Project/git/sdk_env